| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | List of all members
Tp::Service::ConnectionInterfaceAnonymityAdaptor Class Reference
Service-side implementation » Connection service implementation

`#include <TelepathyQt/_gen/svc-connection.h>`

Inheritance diagram for Tp::Service::ConnectionInterfaceAnonymityAdaptor:
[legend]

## Signals

void | AnonymityModesChanged (uint modes)

## Public Member Functions

uint | SupportedAnonymityModes () const
bool | AnonymityMandatory () const
void | SetAnonymityMandatory (const bool &newValue)
uint | AnonymityModes () const
void | SetAnonymityModes (const uint &newValue)
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const
Public Member Functions inherited from QDBusAbstractAdaptor
| ~QDBusAbstractAdaptor ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Additional Inherited Members

Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Member Functions inherited from QDBusAbstractAdaptor
| QDBusAbstractAdaptor (QObject *obj)
void | setAutoRelaySignals (bool enable)
bool | autoRelaySignals () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Anonymity".

## Member Function Documentation

## § SupportedAnonymityModes()

uint Tp::Service::ConnectionInterfaceAnonymityAdaptor::SupportedAnonymityModes | ( |  | ) | const

Return the value of the exported D-Bus object property `SupportedAnonymityModes` of type `uint`.

Adaptees should export this property as a Qt property named 'supportedAnonymityModes' with type uint.

The anonymity modes supported by the CM for this connection. Once Connection.Status has moved to Connected, this property MUST NOT change.

Returns
  The value of exported property `SupportedAnonymityModes`.

## § AnonymityMandatory()

bool Tp::Service::ConnectionInterfaceAnonymityAdaptor::AnonymityMandatory | ( |  | ) | const

Return the value of the exported D-Bus object property `AnonymityMandatory` of type `bool`.

Adaptees should export this property as a Qt property named 'anonymityMandatory' with type bool.

This specifies whether or not the anonymity settings MUST be respected by the CM and any intermediaries between the local and remote contacts. If this is set to true but anonymity settings cannot be followed, then the session MUST be denied with a org.freedesktop.Telepathy.Error.WouldBreakAnonymity error. Any client that sets AnonymityModes SHOULD also set this property first (rather than accepting the CM's default value).

Returns
  The value of exported property `AnonymityMandatory`.

## § SetAnonymityMandatory()

void Tp::Service::ConnectionInterfaceAnonymityAdaptor::SetAnonymityMandatory | ( | const bool & | newValue | ) |

Set the value of the exported D-Bus object property `AnonymityMandatory` of type `bool`.

Adaptees should export this property as a writable Qt property named 'anonymityMandatory' with type bool.

This specifies whether or not the anonymity settings MUST be respected by the CM and any intermediaries between the local and remote contacts. If this is set to true but anonymity settings cannot be followed, then the session MUST be denied with a org.freedesktop.Telepathy.Error.WouldBreakAnonymity error. Any client that sets AnonymityModes SHOULD also set this property first (rather than accepting the CM's default value).

## § AnonymityModes()

uint Tp::Service::ConnectionInterfaceAnonymityAdaptor::AnonymityModes | ( |  | ) | const

Return the value of the exported D-Bus object property `AnonymityModes` of type `uint`.

Adaptees should export this property as a Qt property named 'anonymityModes' with type uint.

The currently enabled anonymity modes for the connection. Setting has the effect of requesting new modes for the connection, and may raise an error if the unsupported modes are set. Successfully changing the modes will result in emission of AnonymityModesChanged signal.

Returns
  The value of exported property `AnonymityModes`.

## § SetAnonymityModes()

void Tp::Service::ConnectionInterfaceAnonymityAdaptor::SetAnonymityModes | ( | const uint & | newValue | ) |

Set the value of the exported D-Bus object property `AnonymityModes` of type `uint`.

Adaptees should export this property as a writable Qt property named 'anonymityModes' with type uint.

The currently enabled anonymity modes for the connection. Setting has the effect of requesting new modes for the connection, and may raise an error if the unsupported modes are set. Successfully changing the modes will result in emission of AnonymityModesChanged signal.

## § AnonymityModesChanged

void Tp::Service::ConnectionInterfaceAnonymityAdaptor::AnonymityModesChanged | ( | uint | modes | ) |

signal

Represents the exported D-Bus signal `AnonymityModesChanged` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void anonymityModesChanged(uint modes);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  modes

      The new anonymity modes for this connection.